File GSTR-8 TCS Return with DSC
POST
https://apisandbox.whitebooks.in/gstr8/retfileUsed to File GSTR8 invoices.
Parameters
query parameters
emailstringrequiredAPI Developer User Email
panstringrequiredPAN Number
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalGSTIN of Deductor
Example: "12AUGGC1893F3DQ"
fpstringoptionalReturn Period
Example: "112017"
dflt_amtnumberoptionalDefault Interest Amount
Example: 0
chksumstringoptionalChecksum Value
Example: "e019706b5c029430c81cc4f620c72adf0fc43ceb1805099abe0f1a41a79cfbc5"
tcsobjectoptionalgSuppMadenumberoptionalGross Supplies Made
Example: 0
gSuppRtnnumberoptionalGross Supplies Returned
Example: 0
ttl_iamtnumberoptionalTotal IGST
Example: 0
ttl_camtnumberoptionalTotal CGST
Example: 0
ttl_samtnumberoptionalTotal SGST
Example: 0
ttl_amtcolnumberoptionalTotal amount deducted
Example: 0
no_recintegeroptionalTotal Record Count
Example: 0
chksumstringoptionalChecksum Value
Example: "e019706b5c029430c81cc4f620c72adf0fc43ceb1805099abe0f1a41a79cfbc5"
tcsaobjectoptionalgSuppMadenumberoptionalGross Supplies Made
Example: 0
gSuppRtnnumberoptionalGross Supplies Returned
Example: 0
ttl_iamtnumberoptionalTotal IGST
Example: 0
ttl_camtnumberoptionalTotal IGST
Example: 0
ttl_samtnumberoptionalTotal IGST
Example: 0
ttl_amtcolnumberoptionalTotal IGST
Example: 0
no_recintegeroptionalTotal Record Count
Example: 0
chksumstringoptionalChecksum Value
Example: "e019706b5c029430c81cc4f620c72adf0fc43ceb1805099abe0f1a41a79cfbc5"
urdobjectoptionalgSuppMadenumberoptionalGross Supplies Made
Example: 1000
gSuppRtnnumberoptionalGross Supplies Returned
Example: 5000
ttl_amtcolnumberoptionalTotal amount deducted
Example: -4000
no_recintegeroptionalTotal Record Count
Example: 1
chksumstringoptionalChecksum Value
Example: "e019706b5c029430c81cc4f620c72adf0fc43ceb1805099abe0f1a41a79cfbc5"
urdaobjectoptionalgSuppMadenumberoptionalGross Supplies Made
Example: 0
gSuppRtnnumberoptionalGross Supplies Returned
Example: 0
ttl_amtcolnumberoptionalTotal amount deducted
Example: 0
no_recintegeroptionalTotal Record Count
Example: 0
chksumstringoptionalChecksum Value
Example: "e019706b5c029430c81cc4f620c72adf0fc43ceb1805099abe0f1a41a79cfbc5"
tax_payobjectoptionaliamtobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 0
pennumberoptionalPenalty Amount
Example: 0
samtobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 400
totnumberoptionalTotal Amount
Example: 1518
pennumberoptionalPenalty Amount
Example: 0
camtobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 1518
pennumberoptionalPenalty Amount
Example: 0
liab_idintegeroptionalLiability id
Example: 0
trancdintegeroptionalTransaction code
Example: 30002
offsetarray<object>optionalArray items:
tran_cdintegeroptionalTransaction code
samtobjectoptionalintrnumberoptionalInterest Amount
Example: 0
txnumberoptionalTax Amount
Example: 1518
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 1518
camtobjectoptionalintrnumberoptionalInterest Amount
Example: 0
txnumberoptionalTax Amount
Example: 1518
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 1518
iamtobjectoptionalintrnumberoptionalInterest Amount
Example: 0
txnumberoptionalTax Amount
Example: 1518
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 1518
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP POST to
/gstr8/retfile. Required parameters: email (query parameter), pan (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For File GSTR8 data (POST
/gstr8/retfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to File GSTR8 invoices.
No example available.